aboutsummaryrefslogtreecommitdiff
path: root/Mk
diff options
context:
space:
mode:
authorMathieu Arnold <mat@FreeBSD.org>2020-11-16 10:50:54 +0000
committerMathieu Arnold <mat@FreeBSD.org>2020-11-16 10:50:54 +0000
commit292183dbc4557c9812ba44e42a2510e84505cff4 (patch)
tree24a268d03693e1c854dddae2d9d644e80eedbb87 /Mk
parent25b71a0ba7c3b087cbd70ced223c041020667463 (diff)
downloadports-292183dbc4557c9812ba44e42a2510e84505cff4.tar.gz
ports-292183dbc4557c9812ba44e42a2510e84505cff4.zip
Ignore readelf's return value.
PR: 251110 (with style fixes) Submitted by: John Hein
Notes
Notes: svn path=/head/; revision=555463
Diffstat (limited to 'Mk')
-rw-r--r--Mk/Scripts/qa.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/Mk/Scripts/qa.sh b/Mk/Scripts/qa.sh
index aa90f47bd5f6..2507b472fdc9 100644
--- a/Mk/Scripts/qa.sh
+++ b/Mk/Scripts/qa.sh
@@ -211,7 +211,7 @@ stripped() {
# files with spaces are kept intact.
# Using readelf -h ... /ELF Header:/ will match on all ELF files.
find ${STAGEDIR} -type f ! -name '*.a' ! -name '*.o' \
- -exec readelf -S {} + 2>/dev/null | awk '
+ -exec sh -c 'readelf -S -- /dev/null "$@" || :' -- {} + 2>/dev/null | awk '
/File:/ {sub(/File: /, "", $0); file=$0}
/[[:space:]]\.debug_info[[:space:]]*PROGBITS/ {print file}' |
while read -r f; do